Bug 901937 - GCC Fails to recompile on armv5 ld segfaults.
GCC Fails to recompile on armv5 ld segfaults.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
18
arm Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-19 22:15 EST by solanum
Modified: 2014-02-05 10:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 10:22:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mock.state.log (1.08 KB, text/plain)
2013-01-19 23:02 EST, solanum
no flags Details
mock build.log (24.93 MB, text/plain)
2013-01-19 23:07 EST, solanum
no flags Details
mock root.log (96.31 KB, text/plain)
2013-01-19 23:08 EST, solanum
no flags Details
strace -fto /tmp/stracelog sh test2.sh (29.36 KB, application/x-shellscript)
2013-01-21 12:39 EST, solanum
no flags Details
strace of issue. (25.09 MB, application/octet-stream)
2013-01-21 12:43 EST, solanum
no flags Details
Comment (65.16 KB, text/plain)
2013-01-19 22:15 EST, solanum
no flags Details

  None (edit)
Description solanum 2013-01-19 22:15:22 EST
Created attachment 915657 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 1 solanum 2013-01-19 23:02:16 EST
Created attachment 683437 [details]
mock.state.log

the state log from the mock build probably not necessary, but it is going to get deleted.
Comment 2 solanum 2013-01-19 23:07:00 EST
Created attachment 683438 [details]
mock build.log

The whole thing probably isn't necessary but attaching it anyway.
Comment 3 solanum 2013-01-19 23:08:37 EST
Created attachment 683449 [details]
mock root.log

Again probably not necessary. but including it anyway.
Comment 4 solanum 2013-01-21 11:30:23 EST
I repeated it to verify it was reproducible and it crashed in the same spot.
Comment 5 solanum 2013-01-21 12:39:22 EST
Created attachment 684502 [details]
strace -fto /tmp/stracelog sh test2.sh

test2.sh contains the isolated code.
Comment 6 solanum 2013-01-21 12:43:39 EST
Created attachment 684517 [details]
strace of issue.

strace output of the test2.sh command under mock
Comment 7 Fedora End Of Life 2013-12-21 05:35:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2014-02-05 10:22:16 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.